Index: trunk/HeuristicLab.Problems.VehicleRouting.Views/3.4/CVRPPDTWView.Designer.cs
===================================================================
--- trunk/HeuristicLab.Problems.VehicleRouting.Views/3.4/CVRPPDTWView.Designer.cs	(revision 16527)
+++ trunk/HeuristicLab.Problems.VehicleRouting.Views/3.4/CVRPPDTWView.Designer.cs	(revision 16565)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: trunk/HeuristicLab.Problems.VehicleRouting.Views/3.4/CVRPPDTWView.cs
===================================================================
--- trunk/HeuristicLab.Problems.VehicleRouting.Views/3.4/CVRPPDTWView.cs	(revision 16527)
+++ trunk/HeuristicLab.Problems.VehicleRouting.Views/3.4/CVRPPDTWView.cs	(revision 16565)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -20,10 +20,6 @@
 #endregion
 
-using System;
 using System.Collections.Generic;
-using System.ComponentModel;
-using System.Data;
 using System.Drawing;
-using System.Text;
 using System.Windows.Forms;
 using HeuristicLab.MainForm;
Index: trunk/HeuristicLab.Problems.VehicleRouting.Views/3.4/CVRPTWView.Designer.cs
===================================================================
--- trunk/HeuristicLab.Problems.VehicleRouting.Views/3.4/CVRPTWView.Designer.cs	(revision 16527)
+++ trunk/HeuristicLab.Problems.VehicleRouting.Views/3.4/CVRPTWView.Designer.cs	(revision 16565)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: trunk/HeuristicLab.Problems.VehicleRouting.Views/3.4/CVRPTWView.cs
===================================================================
--- trunk/HeuristicLab.Problems.VehicleRouting.Views/3.4/CVRPTWView.cs	(revision 16527)
+++ trunk/HeuristicLab.Problems.VehicleRouting.Views/3.4/CVRPTWView.cs	(revision 16565)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -20,10 +20,6 @@
 #endregion
 
-using System;
 using System.Collections.Generic;
-using System.ComponentModel;
-using System.Data;
 using System.Drawing;
-using System.Text;
 using System.Windows.Forms;
 using HeuristicLab.MainForm;
Index: trunk/HeuristicLab.Problems.VehicleRouting.Views/3.4/HeuristicLab.Problems.VehicleRouting.Views-3.4.csproj
===================================================================
--- trunk/HeuristicLab.Problems.VehicleRouting.Views/3.4/HeuristicLab.Problems.VehicleRouting.Views-3.4.csproj	(revision 16527)
+++ trunk/HeuristicLab.Problems.VehicleRouting.Views/3.4/HeuristicLab.Problems.VehicleRouting.Views-3.4.csproj	(revision 16565)
@@ -11,5 +11,5 @@
     <RootNamespace>HeuristicLab.Problems.VehicleRouting.Views</RootNamespace>
     <AssemblyName>HeuristicLab.Problems.VehicleRouting.Views-3.4</AssemblyName>
-    <TargetFrameworkVersion>v4.5</TargetFrameworkVersion>
+    <TargetFrameworkVersion>v4.6.1</TargetFrameworkVersion>
     <FileAlignment>512</FileAlignment>
     <SignAssembly>true</SignAssembly>
@@ -103,4 +103,7 @@
   </PropertyGroup>
   <ItemGroup>
+    <Reference Include="HEAL.Attic, Version=1.0.0.0, Culture=neutral, PublicKeyToken=ba48961d6f65dcec, processorArchitecture=MSIL">
+      <HintPath>..\..\packages\HEAL.Attic.1.0.0-pre01\lib\netstandard2.0\HEAL.Attic.dll</HintPath>
+    </Reference>
     <Reference Include="System" />
     <Reference Include="System.Core">
@@ -108,4 +111,7 @@
     </Reference>
     <Reference Include="System.Drawing" />
+    <Reference Include="System.Drawing.Common, Version=4.0.0.1, Culture=neutral, PublicKeyToken=cc7b13ffcd2ddd51, processorArchitecture=MSIL">
+      <HintPath>..\..\packages\System.Drawing.Common.4.5.1\lib\net461\System.Drawing.Common.dll</HintPath>
+    </Reference>
     <Reference Include="System.Windows.Forms" />
     <Reference Include="System.Xml.Linq">
@@ -183,4 +189,5 @@
   </ItemGroup>
   <ItemGroup>
+    <None Include="packages.config" />
     <None Include="Properties\AssemblyInfo.cs.frame" />
     <None Include="HeuristicLab.snk" />
@@ -273,9 +280,4 @@
       <Project>{56F9106A-079F-4C61-92F6-86A84C2D84B7}</Project>
       <Name>HeuristicLab.Parameters-3.3</Name>
-      <Private>False</Private>
-    </ProjectReference>
-    <ProjectReference Include="..\..\HeuristicLab.Persistence\3.3\HeuristicLab.Persistence-3.3.csproj">
-      <Project>{102BC7D3-0EF9-439C-8F6D-96FF0FDB8E1B}</Project>
-      <Name>HeuristicLab.Persistence-3.3</Name>
       <Private>False</Private>
     </ProjectReference>
Index: trunk/HeuristicLab.Problems.VehicleRouting.Views/3.4/MDCVRPPDTWView.Designer.cs
===================================================================
--- trunk/HeuristicLab.Problems.VehicleRouting.Views/3.4/MDCVRPPDTWView.Designer.cs	(revision 16527)
+++ trunk/HeuristicLab.Problems.VehicleRouting.Views/3.4/MDCVRPPDTWView.Designer.cs	(revision 16565)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: trunk/HeuristicLab.Problems.VehicleRouting.Views/3.4/MDCVRPPDTWView.cs
===================================================================
--- trunk/HeuristicLab.Problems.VehicleRouting.Views/3.4/MDCVRPPDTWView.cs	(revision 16527)
+++ trunk/HeuristicLab.Problems.VehicleRouting.Views/3.4/MDCVRPPDTWView.cs	(revision 16565)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -20,10 +20,6 @@
 #endregion
 
-using System;
 using System.Collections.Generic;
-using System.ComponentModel;
-using System.Data;
 using System.Drawing;
-using System.Text;
 using System.Windows.Forms;
 using HeuristicLab.MainForm;
Index: trunk/HeuristicLab.Problems.VehicleRouting.Views/3.4/MDCVRPTWView.Designer.cs
===================================================================
--- trunk/HeuristicLab.Problems.VehicleRouting.Views/3.4/MDCVRPTWView.Designer.cs	(revision 16527)
+++ trunk/HeuristicLab.Problems.VehicleRouting.Views/3.4/MDCVRPTWView.Designer.cs	(revision 16565)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: trunk/HeuristicLab.Problems.VehicleRouting.Views/3.4/MDCVRPTWView.cs
===================================================================
--- trunk/HeuristicLab.Problems.VehicleRouting.Views/3.4/MDCVRPTWView.cs	(revision 16527)
+++ trunk/HeuristicLab.Problems.VehicleRouting.Views/3.4/MDCVRPTWView.cs	(revision 16565)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -20,10 +20,6 @@
 #endregion
 
-using System;
 using System.Collections.Generic;
-using System.ComponentModel;
-using System.Data;
 using System.Drawing;
-using System.Text;
 using System.Windows.Forms;
 using HeuristicLab.MainForm;
Index: trunk/HeuristicLab.Problems.VehicleRouting.Views/3.4/MultiDepotVRPView.Designer.cs
===================================================================
--- trunk/HeuristicLab.Problems.VehicleRouting.Views/3.4/MultiDepotVRPView.Designer.cs	(revision 16527)
+++ trunk/HeuristicLab.Problems.VehicleRouting.Views/3.4/MultiDepotVRPView.Designer.cs	(revision 16565)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: trunk/HeuristicLab.Problems.VehicleRouting.Views/3.4/MultiDepotVRPView.cs
===================================================================
--- trunk/HeuristicLab.Problems.VehicleRouting.Views/3.4/MultiDepotVRPView.cs	(revision 16527)
+++ trunk/HeuristicLab.Problems.VehicleRouting.Views/3.4/MultiDepotVRPView.cs	(revision 16565)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -20,10 +20,6 @@
 #endregion
 
-using System;
 using System.Collections.Generic;
-using System.ComponentModel;
-using System.Data;
 using System.Drawing;
-using System.Text;
 using System.Windows.Forms;
 using HeuristicLab.MainForm;
Index: trunk/HeuristicLab.Problems.VehicleRouting.Views/3.4/Plugin.cs.frame
===================================================================
--- trunk/HeuristicLab.Problems.VehicleRouting.Views/3.4/Plugin.cs.frame	(revision 16527)
+++ trunk/HeuristicLab.Problems.VehicleRouting.Views/3.4/Plugin.cs.frame	(revision 16565)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: trunk/HeuristicLab.Problems.VehicleRouting.Views/3.4/Properties/AssemblyInfo.cs.frame
===================================================================
--- trunk/HeuristicLab.Problems.VehicleRouting.Views/3.4/Properties/AssemblyInfo.cs.frame	(revision 16527)
+++ trunk/HeuristicLab.Problems.VehicleRouting.Views/3.4/Properties/AssemblyInfo.cs.frame	(revision 16565)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: trunk/HeuristicLab.Problems.VehicleRouting.Views/3.4/SingleDepotVRPView.Designer.cs
===================================================================
--- trunk/HeuristicLab.Problems.VehicleRouting.Views/3.4/SingleDepotVRPView.Designer.cs	(revision 16527)
+++ trunk/HeuristicLab.Problems.VehicleRouting.Views/3.4/SingleDepotVRPView.Designer.cs	(revision 16565)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: trunk/HeuristicLab.Problems.VehicleRouting.Views/3.4/SingleDepotVRPView.cs
===================================================================
--- trunk/HeuristicLab.Problems.VehicleRouting.Views/3.4/SingleDepotVRPView.cs	(revision 16527)
+++ trunk/HeuristicLab.Problems.VehicleRouting.Views/3.4/SingleDepotVRPView.cs	(revision 16565)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -20,10 +20,6 @@
 #endregion
 
-using System;
 using System.Collections.Generic;
-using System.ComponentModel;
-using System.Data;
 using System.Drawing;
-using System.Text;
 using System.Windows.Forms;
 using HeuristicLab.MainForm;
Index: trunk/HeuristicLab.Problems.VehicleRouting.Views/3.4/VRPImportDialog.Designer.cs
===================================================================
--- trunk/HeuristicLab.Problems.VehicleRouting.Views/3.4/VRPImportDialog.Designer.cs	(revision 16527)
+++ trunk/HeuristicLab.Problems.VehicleRouting.Views/3.4/VRPImportDialog.Designer.cs	(revision 16565)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: trunk/HeuristicLab.Problems.VehicleRouting.Views/3.4/VRPImportDialog.cs
===================================================================
--- trunk/HeuristicLab.Problems.VehicleRouting.Views/3.4/VRPImportDialog.cs	(revision 16527)
+++ trunk/HeuristicLab.Problems.VehicleRouting.Views/3.4/VRPImportDialog.cs	(revision 16565)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: trunk/HeuristicLab.Problems.VehicleRouting.Views/3.4/VRPProblemInstanceView.Designer.cs
===================================================================
--- trunk/HeuristicLab.Problems.VehicleRouting.Views/3.4/VRPProblemInstanceView.Designer.cs	(revision 16527)
+++ trunk/HeuristicLab.Problems.VehicleRouting.Views/3.4/VRPProblemInstanceView.Designer.cs	(revision 16565)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: trunk/HeuristicLab.Problems.VehicleRouting.Views/3.4/VRPProblemInstanceView.cs
===================================================================
--- trunk/HeuristicLab.Problems.VehicleRouting.Views/3.4/VRPProblemInstanceView.cs	(revision 16527)
+++ trunk/HeuristicLab.Problems.VehicleRouting.Views/3.4/VRPProblemInstanceView.cs	(revision 16565)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -27,5 +27,4 @@
 using HeuristicLab.MainForm;
 using HeuristicLab.Problems.VehicleRouting.Interfaces;
-using HeuristicLab.Optimization.Views;
 
 namespace HeuristicLab.Problems.VehicleRouting.Views {
Index: trunk/HeuristicLab.Problems.VehicleRouting.Views/3.4/VRPSolutionView.Designer.cs
===================================================================
--- trunk/HeuristicLab.Problems.VehicleRouting.Views/3.4/VRPSolutionView.Designer.cs	(revision 16527)
+++ trunk/HeuristicLab.Problems.VehicleRouting.Views/3.4/VRPSolutionView.Designer.cs	(revision 16565)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: trunk/HeuristicLab.Problems.VehicleRouting.Views/3.4/VRPSolutionView.cs
===================================================================
--- trunk/HeuristicLab.Problems.VehicleRouting.Views/3.4/VRPSolutionView.cs	(revision 16527)
+++ trunk/HeuristicLab.Problems.VehicleRouting.Views/3.4/VRPSolutionView.cs	(revision 16565)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: trunk/HeuristicLab.Problems.VehicleRouting.Views/3.4/VehicleRoutingProblemView.Designer.cs
===================================================================
--- trunk/HeuristicLab.Problems.VehicleRouting.Views/3.4/VehicleRoutingProblemView.Designer.cs	(revision 16527)
+++ trunk/HeuristicLab.Problems.VehicleRouting.Views/3.4/VehicleRoutingProblemView.Designer.cs	(revision 16565)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: trunk/HeuristicLab.Problems.VehicleRouting.Views/3.4/VehicleRoutingProblemView.cs
===================================================================
--- trunk/HeuristicLab.Problems.VehicleRouting.Views/3.4/VehicleRoutingProblemView.cs	(revision 16527)
+++ trunk/HeuristicLab.Problems.VehicleRouting.Views/3.4/VehicleRoutingProblemView.cs	(revision 16565)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -20,11 +20,4 @@
 #endregion
 
-using System;
-using System.Collections.Generic;
-using System.ComponentModel;
-using System.Drawing;
-using System.Data;
-using System.Linq;
-using System.Text;
 using System.Windows.Forms;
 using HeuristicLab.Optimization.Views;
Index: trunk/HeuristicLab.Problems.VehicleRouting.Views/3.4/packages.config
===================================================================
--- trunk/HeuristicLab.Problems.VehicleRouting.Views/3.4/packages.config	(revision 16565)
+++ trunk/HeuristicLab.Problems.VehicleRouting.Views/3.4/packages.config	(revision 16565)
@@ -0,0 +1,6 @@
+﻿<?xml version="1.0" encoding="utf-8"?>
+<packages>
+  <package id="Google.Protobuf" version="3.6.1" targetFramework="net461" />
+  <package id="HEAL.Attic" version="1.0.0-pre01" targetFramework="net461" />
+  <package id="System.Drawing.Common" version="4.5.1" targetFramework="net461" />
+</packages>
